hal <- hal_query("asie")
expect_identical(hal$q, "text:asie")

hal <- hal_query(list("japon", "france"), field = "title_t")
expect_identical(hal$q, "title_t:(japon AND france)")

hal <- hal_query(c("japon", "france"), field = "title_t")
expect_identical(hal$q, "title_t:(japon OR france)")

hal <- hal_query("agricol?")
expect_identical(hal$q, "text:agricol?")
